Bug 70716 - nscd initscript has wrong error handling
nscd initscript has wrong error handling
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
8.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-04 10:42 EDT by Peter van Egdom
Modified: 2016-11-24 10:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 17:07:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter van Egdom 2002-08-04 10:42:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.1b) Gecko/20020721

Description of problem:
"nscd start" as normal user :

[peterve@limbo-pc init.d]$ ./nscd start
Starting nscd:                                             [  OK  ]
touch: creating `/var/lock/subsys/nscd': Toegang geweigerd


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. "nscd start" as a normal user
2.
3.
	

Actual Results:
Starting nscd:                                             [  OK  ]
touch: creating `/var/lock/subsys/nscd': Toegang geweigerd

Expected Results:
Starting nscd:                                             [FAILED]
touch: creating `/var/lock/subsys/nscd': Toegang geweigerd

Additional info:

Source RPM: glibc-2.2.90-17.src.rpm
Comment 1 Peter van Egdom 2002-11-01 17:22:11 EST
Bug still occurs in Red Hat Linux 8.0.
Comment 2 Alan Cox 2002-12-15 17:07:23 EST
The nscd lock file is intentionally root only

Note You need to log in before you can comment on or make changes to this bug.